<?php
{{ ansible_managed | comment }}

$config = array (
  'debug' => 0,
  'MISP' =>
  array (
    'baseurl' => '{{ misp_base_url }}',
    'footermidleft' => '',
    'footermidright' => '',
    'org' => 'ORGNAME',
    'showorg' => true,
    'background_jobs' => true,
    'cached_attachments' => true,
    'email' => '{{ misp_email_contact }}',
    'contact' => '{{ misp_email_contact }}',
    'cveurl' => 'http://cve.circl.lu/cve/',
    'cweurl' => 'http://cwe.circl.lu/cwe/',
    'disablerestalert' => false,
    'default_event_distribution' => '1',
    'default_attribute_distribution' => 'event',
    'tagging' => true,
    'full_tags_on_event_index' => true,
    'footer_logo' => '',
    'take_ownership_xml_import' => false,
    'unpublishedprivate' => false,
    'disable_emailing' => false,
    'live' => true,
    'host_org_id' => 1,
    'proposals_block_attributes' => true,
    'language' => '{{ misp_language | default('eng') }}',
    'redis_host' => '{{ misp_redis_host | default('127.0.0.1') }}',
    'redis_port' => {{ misp_redis_port | default('6379') }},
    'redis_database' => '{{ misp_redis_database | default('13') }}',
    'redis_password' => '{{ misp_redis_password | default('') }}',
    'ssdeep_correlation_threshold' => 40,
    'extended_alert_subject' => false,
    'default_event_threat_level' => '4',
    'enableEventBlacklisting' => true,
    'enableOrgBlacklisting' => true,
    'log_client_ip' => true,
    'log_auth' => true,
    'block_event_alert' => false,
    'block_event_alert_tag' => 'no-alerts="true"',
    'block_old_event_alert' => false,
    'block_old_event_alert_age' => 180,
    'incoming_tags_disabled_by_default' => false,
    'uuid' => '{{ lookup('password', '/dev/null chars=ascii_letters,digits') | to_uuid }}',
    'external_baseurl' => '{{ misp_external_base_url | default(misp_base_url) }}',
    'osuser' => '{{ www_user }}',
    'default_event_tag_collection' => 0,
    'python_bin' => '{{ misp_virtualenv }}/bin/python',
    'enableEventBlocklisting' => true,
    'enableOrgBlocklisting' => true,
    'disableUserSelfManagement' => false,
    'disable_user_login_change' => false,
    'disable_user_password_change' => false,
    'disable_user_add' => false,
    'event_alert_republish_ban' => false,
    'event_alert_republish_ban_threshold' => 5,
    'event_alert_republish_ban_refresh_on_retry' => false,
  ),
  'GnuPG' =>
  array (
    'onlyencrypted' => false,
    'email' => '{{ misp_gpg_email }}',
    'homedir' => '{{ misp_gpg_homedir }}',
    'password' => '{{ misp_gpg_pass }}',
    'bodyonlyencrypted' => false,
  ),
  'SMIME' => NULL,
  'Proxy' =>
  array (
    'host' => '{{ misp_proxy_host }}',
    'port' => {{ misp_proxy_port }},
    'method' => '{{ misp_proxy_method }}',
    'user' => '{{ misp_proxy_user }}',
    'password' => '{{ misp_proxy_pass }}',
  ),
  'SecureAuth' =>
  array (
    'amount' => 5,
    'expire' => {{ misp_secureauth_expire }},
  ),
  'Security' =>
  array (
    'level' => 'medium',
    'salt' => '{{ salt }}',
    'cipherSeed' => '',
    'password_policy_length' => {{ misp_passreq_lenth }},
    'csp_enforce' => {{ misp_csp_enforce | default('true') }},
    'advanced_authkeys' => {{ misp_advanced_authkeys | default('false') }},
    //'auth'=>array('CertAuth.Certificate'), // additional authentication methods
    'log_each_individual_auth_fail' => false,
    'rest_client_baseurl' => '{{ misp_rest_client_baseurl | default('https://localhost') }}',
    'force_https' => true,
    'disable_browser_cache' => true,
    'check_sec_fetch_site_header' => true,
  ),
  'Session.defaults' => 'php',
  'Session.timeout' => 60,
  'Session.cookieTimeout' => 60,
  'Session.autoRegenerate' => false,
  'Session.checkAgent' => false,
  'site_admin_debug' => false,
  'Plugin' =>
  array (
    'Enrichment_services_enable' => true,
    'Enrichment_hover_enable' => true,
    'Enrichment_services_url' => 'http://127.0.0.1',
    'Enrichment_services_port' => 6666,
    'Enrichment_timeout' => 10,
    'Enrichment_hover_timeout' => 5,
    'Import_services_enable' => true,
    'Import_services_url' => 'http://127.0.0.1',
    'Import_services_port' => 6666,
    'Import_timeout' => 10,
    'Export_services_enable' => true,
    'Export_services_url' => 'http://127.0.0.1',
    'Export_services_port' => 6666,
    'Export_timeout' => 10,
    'Cortex_services_enable' => false,
    'Cortex_services_url' => 'http://127.0.0.1',
    'Cortex_services_port' => 9000,
    'Cortex_timeout' => 120,
    'Sightings_range' => 365,
    'Sightings_anonymise' => false,
    'Sightings_policy' => 0,
    'Sightings_sighting_db_enable' => false,
    'Enrichment_hover_popover_only' => false,
  ),
  'CertAuth' => NULL,
  'ApacheShibbAuth' => NULL,
  'ApacheSecureAuth' => NULL,
  'OidcAuth' => NULL,
  'AadAuth' => NULL,
);
